> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Hetzner cluster



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/hetzner
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/hetzner:
    post:
      tags:
        - Hetzner Cluster API
      summary: Create a Hetzner cluster
      operationId: create_hetzner_cluster_endpoint_api_v1_clusters_hetzner_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateHetznerClusterRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateHetznerClusterResponse'
          description: Cluster created successfully
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateHetznerClusterRequest:
      properties:
        bastion_server_type:
          default: cx23
          minLength: 1
          title: Bastion Server Type
          type: string
        cni:
          default: flannel
          enum:
            - flannel
            - calico
            - cilium
          title: Cni
          type: string
        control_plane_count:
          default: 1
          maximum: 5
          minimum: 1
          title: Control Plane Count
          type: integer
        control_plane_server_type:
          default: cx33
          minLength: 1
          title: Control Plane Server Type
          type: string
        credential_id:
          format: uuid4
          title: Credential Id
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        distribution:
          default: k3s
          title: Distribution
          type: string
        etcd_node_count:
          default: 3
          title: Etcd Node Count
          type: integer
        etcd_server_type:
          default: cx33
          title: Etcd Server Type
          type: string
        etcd_topology:
          default: stacked
          title: Etcd Topology
          type: string
        external_cloud_provider:
          default: true
          title: External Cloud Provider
          type: boolean
        gitops_branch:
          default: master
          title: Gitops Branch
          type: string
        gitops_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitops Credential Name
        gitops_repository:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitops Repository
        include_networking:
          default: true
          title: Include Networking
          type: boolean
        kubernetes_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Kubernetes Version
        location:
          minLength: 1
          title: Location
          type: string
        name:
          minLength: 1
          title: Name
          type: string
        network_ip_range:
          default: 10.0.0.0/16
          title: Network Ip Range
          type: string
        node_groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreateNodeGroupRequest'
              type: array
            - type: 'null'
          title: Node Groups
        ssh_key_credential_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Ssh Key Credential Id
        ssh_key_credential_ids:
          default: []
          items:
            format: uuid4
            type: string
          title: Ssh Key Credential Ids
          type: array
        subnet_range:
          default: 10.0.1.0/24
          title: Subnet Range
          type: string
        worker_count:
          default: 1
          maximum: 50
          minimum: 0
          title: Worker Count
          type: integer
        worker_server_type:
          default: cx23
          minLength: 1
          title: Worker Server Type
          type: string
      required:
        - name
        - credential_id
        - location
      title: CreateHetznerClusterRequest
      type: object
    CreateHetznerClusterResponse:
      properties:
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        name:
          title: Name
          type: string
      required:
        - cluster_id
        - name
      title: CreateHetznerClusterResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CreateNodeGroupRequest:
      properties:
        count:
          default: 1
          maximum: 50
          minimum: 1
          title: Count
          type: integer
        instance_type:
          minLength: 1
          title: Instance Type
          type: string
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        name:
          minLength: 1
          title: Name
          type: string
        taints:
          items:
            $ref: '#/components/schemas/NodeTaint'
          title: Taints
          type: array
      required:
        - name
        - instance_type
      title: CreateNodeGroupRequest
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          title: Effect
          type: string
        key:
          title: Key
          type: string
        value:
          default: ''
          title: Value
          type: string
      required:
        - key
        - effect
      title: NodeTaint
      type: object

````